// LS-30 handle mod for Happ Mechanical Rotary Joystick
// -- Setscrew cover

// See forums.arcadecontrols.com for full details

// Additional 3D prints:
// - Handle
// - Shaft cover
// - Dust washer (optional)

// This part is very small.  You may need to print it with a raft or brim.

/////////////////////////////
//      Define variables
/////////////////////////////

SetscrewCoverDepth = 1;     // Default = 1

SetscrewDiameter = 5;       // Default = 5

StemLength = 3.3;           // Default = 3.3

StemDiameter = 2;           // Default = 2

SetscrewCoverOffset = SetscrewCoverDepth / 2; // Distance to move the cover down so the top is at Z=0

StemOffset = StemLength / 2; // Distance to move the stem up so the bottom is at Z=0

$fn = 180; // Number of fragments (polygon sides) used to render a circle

/////////////////////////////
//      Make the part
/////////////////////////////

translate ([0, 0, -SetscrewCoverOffset])
// Move down so the top of the cover is at Z=0
cylinder(SetscrewCoverDepth, d=SetscrewDiameter, center=true);
// Creates the cover

translate ([0, 0, StemOffset])
// Move up so the bottom of the stem is at Z=0
cylinder(StemLength, d=StemDiameter, center=true);
// Creates the stem
