// LS-30 handle mod for Happ Mechanical Rotary Joystick
// -- Shaft cover

// See forums.arcadecontrols.com for full details

// Additional 3D prints:
// - Handle
// - Dust washer (optional)

// Required hardware:
// - Happ Mechanical Rotary Joystick
// - 10mm shaft
// - 20x10x10mm shaft collar
// - M5x10mm setscrew

// Calculating the height of the shaft cover:
// Shaft cover height = panel thickness + 15.6 mm above + 2.5 mm below
// - "15.6 mm above" ==> distance from top of the control panel to the bottom of the handle
// - "2.5 mm under" ==> distance from the top of the joystick body to the top of the pivot cone
// -- 37.2 mm for a 3/4" wood panel
// -- 34 mm for a 5/8" wood panel
// -- 30.8 mm for a 1/2" wood panel
// -- 19.7 mm for a 16 gauge metal panel

/////////////////////////////
//      Define variables
/////////////////////////////

shaftcoverheight = 37.2;
// Default shaft cover heights for different panel thicknesses listed above

shaftcoverouterdiameter = 14;   // Default = 14

ShaftDiameter = 10.45;          // Default = 10.45

$fn = 180; // Number of fragments (polygon sides) used to render a circle

/////////////////////////////
//      Make the part
/////////////////////////////

difference() {
    cylinder(shaftcoverheight, d=shaftcoverouterdiameter, center=true);   // Outer cylinder
    cylinder(shaftcoverheight+2, d=ShaftDiameter, center=true); // Remove inner cylinder
// Inner cylinder is slightly taller to ensure a clean preview
    }