// LS-30 handle mod for Happ Mechanical Rotary Joystick
// - Test print

// This test print allows you to verify the correct variable values for your specific hardware and your slicer software before you render/export/print the whole handle.

// Hardware tested:
// - Shaft Collar
// - Set Screw
// - Shaft

// This part is oriented upside-down compared to the handle so print supports are not needed.

/////////////////////////////
//      Define variables
/////////////////////////////

ShaftDiameter = 10.35;            // Default = 10.35
ShaftCollarHeight = 9;            // Default =  9
ShaftCollarOuterDiameter = 20.35; // Default = 20.35
SetScrewDiameter = 5.091;         // Default =  5.091
// The three diameter values may need to be *very slightly* larger to account for the 180-sided polygon used to render circles -- see "undersized holes" at https://en.wikibooks.org/wiki/OpenSCAD_User_Manual/Primitive_Solids#cylinder
$fn=180; // Number of fragments (polygon sides) used to render a circle

/////////////////////////////
//      Make the part
/////////////////////////////

// Make the Shaft Collar layer
difference() {
    cylinder(ShaftCollarHeight, d=ShaftCollarOuterDiameter+6, center=true);   // Shaft Collar outer cylinder
    cylinder(ShaftCollarHeight+2, d=ShaftCollarOuterDiameter, center=true);
    // Remove Shaft Collar hole
    translate([0,-ShaftCollarOuterDiameter/2,0]) rotate([90,0,0]) cylinder(ShaftCollarOuterDiameter/2, d=SetScrewDiameter, center=true);
    // Remove Set Screw hole
    }
//
// Make the Shaft layer (red)
difference() {
    color("red") translate([0,0,-1 - ShaftCollarHeight/2]) cylinder(2, d=ShaftCollarOuterDiameter + 6, center=true);
    // Shaft outer cylinder
    translate([0,0,-1 - ShaftCollarHeight/2]) cylinder(ShaftCollarHeight, d=ShaftDiameter, center=true);
    // Remove Shaft hole
}